automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] New test on repeated automake options.


From: Stefano Lattarini
Subject: [PATCH] New test on repeated automake options.
Date: Fri, 19 Nov 2010 12:26:18 +0100
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

* tests/repeated-options.test: New test, check that automake
does not complain on repeated options, nor generate broken or
incorrect makefiles.
* tests/Makefile.am (TESTS): Updated.
---
 ChangeLog                   |    8 ++++
 tests/Makefile.am           |    1 +
 tests/Makefile.in           |    1 +
 tests/repeated-options.test |   80 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 90 insertions(+), 0 deletions(-)
 create mode 100755 tests/repeated-options.test

From d32c553430f0e2e9807ef7245d26239e075a283a Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Fri, 19 Nov 2010 12:19:36 +0100
Subject: [PATCH] New test on repeated automake options.

* tests/repeated-options.test: New test, check that automake
does not complain on repeated options, nor generate broken or
incorrect makefiles.
* tests/Makefile.am (TESTS): Updated.
---
 ChangeLog                   |    8 ++++
 tests/Makefile.am           |    1 +
 tests/Makefile.in           |    1 +
 tests/repeated-options.test |   80 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 90 insertions(+), 0 deletions(-)
 create mode 100755 tests/repeated-options.test

diff --git a/ChangeLog b/ChangeLog
index e3618a7..c29d820 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2010-11-19  Stefano Lattarini  <address@hidden>
+
+       New test on repeated automake options.
+       * tests/repeated-options.test: New test, check that automake
+       does not complain on repeated options, nor generate broken or
+       incorrect makefiles.
+       * tests/Makefile.am (TESTS): Updated.
+
 2010-11-17  Stefano Lattarini  <address@hidden>
 
        Fix spurious failures of silent-rules tests with Sun Fortran.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 5f1ab9e..4713270 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -624,6 +624,7 @@ regex.test \
 req.test \
 reqd.test \
 reqd2.test \
+repeated-options.test \
 rulepat.test \
 sanity.test \
 scripts.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 140b178..3e36f80 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -891,6 +891,7 @@ regex.test \
 req.test \
 reqd.test \
 reqd2.test \
+repeated-options.test \
 rulepat.test \
 sanity.test \
 scripts.test \
diff --git a/tests/repeated-options.test b/tests/repeated-options.test
new file mode 100755
index 0000000..84901f8
--- /dev/null
+++ b/tests/repeated-options.test
@@ -0,0 +1,80 @@
+#! /bin/sh
+# Copyright (C) 2010  Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check that automake does not complain on repeated options, nor
+# generate broken or incorrect makefiles.
+
+required=bzip2
+. ./defs || Exit 1
+
+set -e
+
+cat >configure.in <<END
+AC_INIT([$me], [1.0])
+AM_INIT_AUTOMAKE([foreign dist-bzip2 no-dist-gzip no-dist-gzip dist-bzip2])
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+AUTOMAKE_OPTIONS = parallel-tests subdir-objects subdir-objects
+AUTOMAKE_OPTIONS += dist-bzip2 parallel-tests
+TESTS = foo.test
+EXTRA_DIST = $(TESTS)
+bin_PROGRAMS = sub/foo
+END
+
+mkdir sub
+
+cat > foo.test <<'END'
+#!/bin/sh
+test -f sub/foo && test -x sub/foo
+END
+chmod a+x foo.test
+
+cat > sub/foo.c <<'END'
+int main (void)
+{
+  return 0;
+}
+END
+
+cp $testsrcdir/../lib/compile .
+
+$ACLOCAL
+$AUTOMAKE --foreign --foreign -Wall 2>stderr || { cat stderr >&2; Exit 1; }
+test -s stderr && { cat stderr >&2; Exit 1; }
+rm -f stderr
+$AUTOCONF
+
+./configure
+$MAKE
+ls -l . sub
+test -f sub/foo.o
+test -f sub/foo
+$MAKE check
+ls -l
+test -f foo.log
+test -f test-suite.log
+$MAKE clean
+$MAKE distcheck
+ls -l
+test -f $me-1.0.tar.bz2
+test ! -r $me-1.0.tar.gz
+
+:
-- 
1.7.1


reply via email to

[Prev in Thread] Current Thread [Next in Thread]